function sort = elim_norig(ent,bin)
%
% Funcio que elimina aquelles estructures amb possibles relacions binaries
% que no estan a la matriu de relacions originals bin
%
% Josep Maria Mirats i Tur
% 10-VI-1999, Barcelona
%
% Parmetres:
%
%	Entrada: ent, composite structure
%		 bin, matriu de relacions binaries originals
%
%	Sortida: sort, composite structure depurada
%
%
b = size(ent,2);
[row,col] = size(bin);
index = [0 find(ent==0) b+1];
aux2 = [];
for i = 1:size(index,2)-1,
 aux = ent(index(i)+1:index(i+1)-1);
 bin1 = binary(aux);
 b = size(bin1,1);
 a = 0;
 for j = 1:b,
  for k = 1:row,
   if ( bin1(j,:) == bin(k,:) )
    a = a+1;
   end
  end
 end
 if ( a == b ) aux2 = [aux2 0 aux];end
end
sort = aux2(2:size(aux2,2));
%
