function [sorti] = elim_sub_rep(cst)
%
% Funci que elimina els subsistemes repetits que hi pugui haver a la
% composite structure
%
% Autor: Josep Maria Mirats i Tur
% Data: 8-II-1999, Barcelona
%
% Parmetres:
%
%       Entrades: entr, vector amb subsistemes
%
%       Sortida: sorti, composite structure de sortida
%
% Us de la funci:
%
%               [sorti] = elim_sub_rep(cst)
%
b = size(cst,2);
index = [0 find(cst==0) b+1];
aux = cst(index(1)+1:index(2)-1);
for i=2:size(index,2)-1,
 aux2 = cst(index(i)+1:index(i+1)-1);
 a = size(aux,2);
 ind = [0 find(aux==0) a+1];
 c = 0;
 d = 0;
 for j = 1:size(ind,2)-1,
  if ( size(aux2,2) ~= size(aux(ind(j)+1:ind(j+1)-1),2) )
   c = c+1;
  else
   if ( aux2 == aux(ind(j)+1:ind(j+1)-1) )
   else
    d = d+1;
   end
  end
  si = size(ind,2)-1;
  if ( c == si )
   aux = [ aux 0 aux2 ];
  else
   if ( c+d == si ) aux = [ aux 0 aux2 ];end;
  end
 end
end
sorti = aux;
%
